#!/bin/bash
if [[ $(id -u) -ne 0 ]]; then
	dialog --infobox "No sou usuari root." 5 25
	sleep 3
	exit 0
fi
dialog --title "Pregunta" \
--yesno "Voleu reinstal·lar el programa mLink?" 7 60
if [ $? -ne 0 ]; then
	exit 0
fi
dialog --infobox "Instal·lant el programa mLink ..." 5 40
sleep 3
if [ ! -d /usr/local/makeblock ]; then
	TEMP_DIR=$(mktemp -d)
	TEMP_FILE=$(mktemp)
	MLINK_DEB=mlink.deb
	URL_TARGET=https://ja.cat/linkat-mlink-robotica
	URL_TARGET_INFO=https://ja.cat/linkat-mlink-robotica-info
	DATA_FILE=data.tar.xz
	wget --quiet $URL_TARGET_INFO -O $TEMP_FILE
	MLINK_VERSION="$(cat $TEMP_FILE|cut -d "," -f 1)"
	MLINK_MD5SUM="$(cat $TEMP_FILE|cut -d "," -f 2)"
	wget -c $URL_TARGET -O $TEMP_DIR/$MLINK_DEB
	cd $TEMP_DIR
	if [ -S $TEMP_DIR/$MLINK_DEB ]; then
		exit 0
	fi
	MLINK_MD5SUM_CALC="$(md5sum $TEMP_DIR/$MLINK_DEB| tr -s ' '|cut -d ' ' -f 1)"
	if [ "$MLINK_MD5SUM_CALC" == "$MLINK_MD5SUM" ]; then
		ar -x $MLINK_DEB >/dev/null 2>&1
		tar -xf $DATA_FILE --directory=/ >/dev/null 2>&1
		chmod a+x /usr/local/makeblock/mLink/mlink
		rm -rf $TEMP_DIR
		rm $TEMP_FILE
		touch /usr/local/makeblock/.control
		dialog --infobox "Programari mLink instal·lat correctament." 5 40
		sleep 3
	fi
else
	dialog --infobox "No ha calgut instal·lar el programa mLink." 5 40
	sleep 3
fi
exit 0
